summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorDavide Depau2019-10-18 21:16:30 +0200
committerDavide Depau2019-10-18 21:16:30 +0200
commit6099da035ce80b5f901f48657604a5f0bf9de912 (patch)
tree2e10201dd02aaac8a619f804515d9d01b39e8ad3 /PKGBUILD
downloadaur-6099da035ce80b5f901f48657604a5f0bf9de912.tar.gz
Initial commit
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..74d3a5028de
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,35 @@
+# Maintainer: Davide Depau <davide@depau.eu>
+
+pkgname=xdg-desktop-portal-wlr-git
+pkgver=r7.13076d0
+pkgrel=1
+pkgdesc='xdg-desktop-portal backend for wlroots'
+url=https://github.com/emersion/xdg-desktop-portal-wlr
+arch=(x86_64)
+license=(custom:MIT)
+provides=("${pkgname%-git}")
+conflicts=("${pkgname%-git}")
+depends=(wlroots)
+makedepends=(wayland-protocols meson ninja git wayland systemd-libs)
+source=("${pkgname}::git+https://github.com/emersion/xdg-desktop-portal-wlr.git")
+sha512sums=('SKIP')
+
+pkgver () {
+ cd "${pkgname}"
+ (
+ set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build () {
+ rm -rf build
+ arch-meson "${pkgname}" build
+ ninja -C build
+}
+
+package () {
+ DESTDIR="${pkgdir}" ninja -C build install
+}
+